> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adds files to the transaction document

> Uploads a set of files to be processed in the specified transaction document.
The maximum size of processed files should not exceed 2 GB.
The maximum count per transaction should not exceed 1000 for process skill.



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles
openapi: 3.0.1
info:
  title: Vantage processing REST API
  description: >-
    The Vantage Processing REST API lets you process documents programmatically:
    create transactions, upload files, launch skills, monitor progress, and
    download results. For authentication and a first end-to-end request, see the
    [Getting started guide](/vantage/developer/getting-started).
  version: '1.0'
  x-application-version: 1.0.0-20251028.13+6e102d0c2a7a440df9ee9615e09b3c8c333587ac
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles:
    post:
      tags:
        - TransactionDocuments
      summary: Adds files to the transaction document
      description: "Uploads a set of files to be processed in the specified transaction document.\r\nThe maximum size of processed files should not exceed 2 GB.\r\nThe maximum count per transaction should not exceed 1000 for process skill."
      operationId: AddFilesToTransactionDocument
      parameters:
        - name: transactionId
          in: path
          description: Transaction identifier
          required: true
          schema:
            type: string
            format: uuid
        - name: documentId
          in: path
          description: Transaction document identifier
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                Model:
                  type: object
                  properties:
                    files:
                      type: array
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionDocumentFileMetadataDto
                      description: Files processing parameters
                      nullable: true
                  additionalProperties: false
                  description: >-
                    Additional processing parameters for transaction document.
                    See TransactionDocumentMetadataDto model.
                Files:
                  type: array
                  items:
                    type: string
                    description: Model for getting file passed in multipart/* content
                    format: binary
            encoding:
              Model:
                contentType: application/json
                style: form
                explode: true
              Files:
                contentType: application/octet-stream
                style: form
                explode: true
      responses:
        '200':
          description: Files successfully added to a transaction document
        '400':
          description: Invalid required parameter or max file size exceeded
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '403':
          description: Transaction belongs to another tenant
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '409':
          description: Max files count exceeded
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionDocumentFileMetadataDto:
      type: object
      properties:
        index:
          type: integer
          description: Files in document in transaction will be ordered by this parameter
          format: int32
          nullable: true
        registrationParameters:
          maxItems: 10
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter
          description: "Additional file registration parameters. Predefined parameters:\r\n            \r\nSourceType: Where the file came from, usually the connector name (scanning station);\r\n            \r\nSourceDetails: How the file was received;\r\n            \r\nSourceFileName: The name of the file being added (invoice.jfif)\r\n            \r\nSourceFilePath: The path to the file\r\n            \r\nSourceArchiveName: The name of the archive containing the file being added\r\n            \r\nSourceFolderName: The name of the subfolder which containing the file being added"
          nullable: true
      additionalProperties: false
      description: Additional file processing parameters
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
          description: URI reference that identifies the problem type.
        title:
          type: string
          nullable: true
          description: Short, human-readable summary of the problem type.
        status:
          type: integer
          format: int32
          nullable: true
          description: HTTP status code for this occurrence of the problem.
        detail:
          type: string
          nullable: true
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
        instance:
          type: string
          nullable: true
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````